Subject: Re: [Sip] Question about Expires header in the INVITE request

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 09 Oct 2003 14:42:21 -0400

Since the Expires header field contains a relative time, measured in 
seconds, how can it refer to a time in the past? Negative numbers are 
not allowed.

-Jonathan R.

Szelényi Csaba wrote:

> Hello,
> 
> If the INVITE request contains an Expires header with a value of the past, what answer should/must be generated? '487 Request Terminated' or '408 Request Timeout'?
> 
> RFC 3261 section 21.4.25 states, that '487 Request Terminated' response is for BYE and CANCEL requests. The '408 Request Timeout' response "encourages" resending the request. So, from this view I would vote for 408.
> 
> However according to RFC 3261 section 13.3.1 Item 1:
> 	1. If the request is an INVITE that contains an Expires header
> 	field, the UAS core sets a timer for the number of seconds
> 	indicated in the header field value. When the timer fires, the
> 	invitation is considered to be expired. If the invitation
> 	expires before the UAS has generated a final response, a 487
> 	(Request Terminated) response SHOULD be generated.
> IMHO this would lead me to choose 487. And the 408 response means: "could not process and answer the request in a certain time"; 408 does not mean to me that an errorous request has arrived to the UAS. 
> 
> Any oppinion, URL or reference would be highly appreciated.
> 
> Thank you in advance.
> Regards,
> 
> Szelenyi Csaba
> T-Systems RIC
> mailto:[email-masked]
> +36 1 456 5507
> +36 20 477 7778
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip